yaml_modify 0.1.3
yaml_modify: ^0.1.3 copied to clipboard

Dart native js
Flutter Android iOS Linux macOS web Windows

A library for modify yaml files, for example you can modify pubspec.yaml by this library

yamlicious #

A library for modify yaml files

Usage #

A simple usage example:

import 'package:yaml_modify/yaml_modify.dart';

main() {
  File file = File("pubspec.yaml");
  final yaml = loadYaml(file.readAsStringSync());

  final modifiable = getModifiableNode(yaml);
  modifiable['flutter'] = {
    'assets':['img1.png', 'img2.png']
  };

  final strYaml = toYamlString(modifiable);
  File("pubspec-output.yaml").writeAsStringSync(strYaml);
  print(strYaml);
}

Features and bugs #

Please file feature requests and bugs at the issue tracker.

Thank Andersmholmgren and his library(https://github.com/Andersmholmgren/yamlicious)

2
likes
100
pub points
31%
popularity

A library for modify yaml files, for example you can modify pubspec.yaml by this library

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

xygood@qq.com

License

MIT (LICENSE)

Dependencies

quiver, yaml

More

Packages that depend on yaml_modify